Package org.eclipse.unittest.launcher

## Interface ITestRunnerClient

    public interface ITestRunnerClient

An interface to be implemented by a Test Runner Client. Its implementation should takes care of placing the right listeners to a given `TestRunSession` (usually received in the constructor) and to react to the various test engine events (can be some notifications via some network, reading standard output, etc. depending on design of a specified test runner) by sending notifications to the `UITestRunListener`s.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `startMonitoring()` Starts monitoring test execution.
`void` `stopMonitoring()` Stops monitoring and disconnects this test runner client; this is typically happening when a test run session is marked as terminated.
`void` `stopTest()` Requests to stop the tests execution.

### Method Detail

#### startMonitoring

    void startMonitoring()

Starts monitoring test execution.

See Also:
  `stopMonitoring()`

#### stopTest

    void stopTest()

Requests to stop the tests execution. Usually requested by user; so it should stop the test runner client (usually calling `stopMonitoring()` and also related test specific closable objects like an underlying `ILaunch` (unless launch is configured to be kept alive).

#### stopMonitoring

    void stopMonitoring()

Stops monitoring and disconnects this test runner client; this is typically happening when a test run session is marked as terminated.